| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
gzguts.h File Reference
`#include <stdio.h>`
`#include "zlib.h"`
`#include <fcntl.h>`

Go to the source code of this file.

## Classes
struct | gz_state

## Macros
#define | ZLIB_INTERNAL
#define | local static
#define | zstrerror() "stdio error (consult errno)"
#define | GZBUFSIZE 8192
#define | GZ_NONE 0
#define | GZ_READ 7247
#define | GZ_WRITE 31153
#define | GZ_APPEND 1 /* mode set to GZ_WRITE after the file is opened */
#define | LOOK 0 /* look for a gzip header */
#define | COPY 1 /* copy input directly */
#define | GZIP 2 /* decompress a gzip stream */
#define | GT_OFF(x) (sizeof(int) == sizeof(z_off64_t) && (x) > gz_intmax())

## Typedefs
typedef gz_state FAR * | gz_statep

## Functions
voidp malloc | OF ((uInt size))
void free | OF ((voidpf ptr))
ZEXTERN gzFile ZEXPORT gzopen64 | OF ((const char *, const char *))
ZEXTERN z_off64_t ZEXPORT gzseek64 | OF ((gzFile, z_off64_t, int))
ZEXTERN z_off64_t ZEXPORT gztell64 | OF ((gzFile))
void ZLIB_INTERNAL gz_error | OF ((gz_statep, int, const char *))
unsigned ZLIB_INTERNAL gz_intmax | OF ((void))

## Macro Definition Documentation

#define COPY 1 /* copy input directly */

Definition at line 82 of file gzguts.h.

#define GT_OFF | ( |  | x | ) | (sizeof(int) == sizeof(z_off64_t) && (x) > gz_intmax())

Definition at line 131 of file gzguts.h.

#define GZ_APPEND 1 /* mode set to GZ_WRITE after the file is opened */

Definition at line 78 of file gzguts.h.

#define GZ_NONE 0

Definition at line 75 of file gzguts.h.

#define GZ_READ 7247

Definition at line 76 of file gzguts.h.

#define GZ_WRITE 31153

Definition at line 77 of file gzguts.h.

#define GZBUFSIZE 8192

Definition at line 72 of file gzguts.h.

#define GZIP 2 /* decompress a gzip stream */

Definition at line 83 of file gzguts.h.

#define local static

Definition at line 40 of file gzguts.h.

#define LOOK 0 /* look for a gzip header */

Definition at line 81 of file gzguts.h.

#define ZLIB_INTERNAL

Definition at line 18 of file gzguts.h.

#define zstrerror | ( |  | ) | "stdio error (consult errno)"

Definition at line 59 of file gzguts.h.

## Typedef Documentation

typedef gz_state FAR* gz_statep

Definition at line 116 of file gzguts.h.

## Function Documentation

voidp malloc OF | ( | (uInt size) |  | ) |

void free OF | ( | (voidpf ptr) |  | ) |

ZEXTERN gzFile ZEXPORT gzopen64 OF | ( | (const char *, const char *) |  | ) |

ZEXTERN z_off64_t ZEXPORT gzseek64 OF | ( | (gzFile, z_off64_t, int) |  | ) |

ZEXTERN z_off64_t ZEXPORT gztell64 OF | ( | (gzFile) |  | ) |

void ZLIB_INTERNAL gz_error OF | ( | (gz_statep, int, const char *) |  | ) |

unsigned ZLIB_INTERNAL gz_intmax OF | ( | (void) |  | ) |